nmaxadmissible.h File Reference

Provides an algorithm for enumerating maximal faces of a polyhedral cone that satisfy a set of admissibility constraints. More...

`#include "regina-core.h"`
`#include "utilities/nbitmask.h"`
`#include <vector>`
`#include "enumerate/nmaxadmissible-impl.h"`

## Classes

class | regina::NMaxAdmissible
| Used to enumerate all maximal admissible faces of a polyhedral cone under a given set of admissibility constraints. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Provides an algorithm for enumerating maximal faces of a polyhedral cone that satisfy a set of admissibility constraints.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).